Skip to content

ePost Global (EPG)

ePost Global (EPG) offers international shipping services. This guide provides developers with the details needed to build EPG shipping capabilities into your ShipStation API workflows.

Migrating from RR Donnelley to EPG

We are migrating all merchants from the previous RR Donnelley integration (carrier name rr_donnelley) to the new EPG integration (carrier name epg_shipping). Use epg_shipping for new connections.

Requirements

PropertyTypeRequired?Description
nicknamestringrequiredA nickname for you to identify the carrier account in ShipStation API.
tokenstringrequiredYour EPG account token.

Connect Account

You can connect an EPG account using the POST method to the /v1/connections/carriers/ endpoint.

NOTE:

EPG can only be connected with an API call. It cannot be connected through the ShipStation API dashboard.

carrier_name: epg_shipping

POST /v1/connections/carriers/epg_shipping

POST /v1/connections/carriers/epg_shipping HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "nickname": "my epg account",
  "token": "TokenFromEpg"
}

A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.

Service Details

Available EPG services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.

International Services

All EPG services are international and support tracking. The services listed are available for shipments from the US.

ServiceAPI Code
EPG First Class Parcels Internationalepg_first_class_parcels_international
EPG Priority Parcel With DCepg_priority_parcel_dc
EPG Priority Parcel With DC Duties Paidepg_priority_parcel_dc_duties_paid
EPG Priority Parcel No DCepg_priority_parcel_no_dc
EPG Priority Parcel No DC Duties Paidepg_priority_parcel_no_dc_duties_paid
EPG Economy Parcel Serviceepg_economy_parcel_service
EPG ePacket Serviceepg_epacket_service
EPG ePacket DDPepg_epacket_ddp
EPG Priority Packet DDUepg_priority_packet_ddu
EPG Priority Packet DDPepg_priority_packet_ddp
EPG Expedited Parcel With DC Duties Paidepg_expedited_parcel_dc_duties_paid
EPG Expedited Parcel With DCepg_expedited_parcel_dc
EPG Courier Serviceepg_courier_service
EPG Courier Service Duties Paidepg_courier_service_duties_paid
EPG PMI Serviceepg_pmi_service
EPG PMI DDPepg_pmi_ddp
EPG PMEIepg_pmei
EPG PMEI DDPepg_pmei_ddp
EPG IPA Serviceepg_ipa_service
EPG ISAL Serviceepg_isal_service

Not all services listed are available to every EPG account. We recommend you check with EPG so you know which services are available to your account, or use the list carrier services call.

Packages

The following carrier package types are available for EPG services:

NameAPI CodePackage Attributes
Packageepg_shipping_packageInternational

Label Support

  • Label formats: PDF, ZPL, PNG

Tracking

ShipStation API's integration with EPG supports receiving tracking updates. Review our Track a Package guides for details on tracking with ShipStation API.

Disconnecting Your EPG Account

DELETE /v1/connections/carriers/epg_shipping/:id

DELETE /v1/connections/carriers/epg_shipping/se-1234 HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__

See our Delete a Carrier page for more details about disconnecting a carrier from ShipStation API.

NOTE:

If you disconnect a carrier account and reconnect it, the account will have a new carrier_id in ShipStation API.